/*
 * IO.h
 *
 *  Created on: 30 Jul 2014
 *      Author: coert
 */

#ifndef IO_H_
#define IO_H_

// Windows path separators are rather ugly
#ifdef __linux__
#define PATH_SEP "/"
#elif defined __APPLE__
#define PATH_SEP "/"
#elif defined _WIN32
#define PATH_SEP "\\"
#endif

namespace nl_uu_science_gmt
{

template<class T>
void write(cv::FileStorage& fs, const std::string&, const T& x)
{
	x.write(fs);
}

template<class T>
void read(const cv::FileNode& node, T& x, const T& d)
{
	if (node.empty())
		x = d;
	else
		x.read(node);
}

}

#endif /* IO_H_ */
